import { test, expect, afterEach } from 'vitest';
import { render, cleanup } from '@testing-library/svelte';
import Battle from '../Battle.svelte';
import { readable } from 'svelte/store';

const activeCampaign = readable({
	battles: Array(12)
		.fill(null)
		.map((_, i) => ({
			id: i + 1,
		})),
});

afterEach(cleanup);

test.each([
	[2, 2],
	[3, 1],
	[7, 1],
	[8, 2],
	[9, 3],
])('chapter battle (%i,%i))', (battleId, expected) => {
	const { container } = render(Battle, {
		params: { battleId },
		activeCampaign,
	});

	expect(container.querySelector('.battleNbr').innerHTML).toMatch(
		'battle ' + expected,
	);
});
